## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContext::GetAndReleaseCachedString Class Reference

`#include <XPathExecutionContext.hpp>`

Collaboration diagram for XPathExecutionContext::GetAndReleaseCachedString:

List of all members.

## Public Methods

- GetAndReleaseCachedString (XPathExecutionContext& theExecutionContext)
- GetAndReleaseCachedString (GetAndReleaseCachedString& theSource)
- ~GetAndReleaseCachedString ()
- XalanDOMString& get () const
- XPathExecutionContext& getExecutionContext () const

## Constructor & Destructor Documentation

XPathExecutionContext::GetAndReleaseCachedString::GetAndReleaseCachedString ( | XPathExecutionContext & theExecutionContext )

XPathExecutionContext::GetAndReleaseCachedString::GetAndReleaseCachedString ( | GetAndReleaseCachedString & theSource )

XPathExecutionContext::GetAndReleaseCachedString::~GetAndReleaseCachedString ( | )`[]`

## Member Function Documentation

XalanDOMString & XPathExecutionContext::GetAndReleaseCachedString::get ( | ) const`[]`

XPathExecutionContext & XPathExecutionContext::GetAndReleaseCachedString::getExecutionContext ( | ) const`[]`

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.